Bug 100335 - webkitRegionLayoutUpdate is incorrectly named
: webkitRegionLayoutUpdate is incorrectly named
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-10-24 23:27 PST by
Modified: 2012-11-05 14:32 PST (History)


Attachments
Patch (10.88 KB, patch)
2012-10-24 23:28 PST, Adam Barth
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-10-24 23:27:25 PST
webkitRegionLayoutUpdate is incorrectly named
------- Comment #1 From 2012-10-24 23:28:04 PST -------
Created an attachment (id=170559) [details]
Patch
------- Comment #2 From 2012-10-24 23:32:42 PST -------
I take it event names are case-sensitive?
------- Comment #3 From 2012-10-24 23:33:56 PST -------
> I take it event names are case-sensitive?

Yep.
------- Comment #4 From 2012-10-24 23:34:36 PST -------
Some old events, like DOMContentLoaded, use mixed case, but the prevailing style is to use all lower case.
------- Comment #5 From 2012-10-24 23:44:47 PST -------
Looks like the spec is wrong too:

http://dev.w3.org/csswg/css3-regions/#region-flow-layout-events
------- Comment #6 From 2012-10-25 00:32:02 PST -------
> Looks like the spec is wrong too:

"wrong" is probably too strong a term.  Rather, I should say that the naming of this event isn't consistent with the rest of the platform.
------- Comment #7 From 2012-11-05 13:17:00 PST -------
I've updated the spec to use 'regionlayoutupdate'
------- Comment #8 From 2012-11-05 14:07:06 PST -------
Thanks Alan!
------- Comment #9 From 2012-11-05 14:32:33 PST -------
(From update of attachment 170559 [details])
Clearing flags on attachment: 170559

Committed r133527: <http://trac.webkit.org/changeset/133527>
------- Comment #10 From 2012-11-05 14:32:37 PST -------
All reviewed patches have been landed.  Closing bug.